## org.apache.lucene.xmlparser
Interface QueryBuilder

All Known Subinterfaces:
  SpanQueryBuilder

All Known Implementing Classes:
  BooleanQueryBuilder, BoostingQueryBuilder, ConstantScoreQueryBuilder, CoreParser, CorePlusExtensionsParser, FilteredQueryBuilder, FuzzyLikeThisQueryBuilder, LikeThisQueryBuilder, MatchAllDocsQueryBuilder, QueryBuilderFactory, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder, TermQueryBuilder, TermsQueryBuilder, UserInputQueryBuilder

    public interface QueryBuilder

Implemented by objects that produce Lucene Query objects from XML streams. Implementations are expected to be thread-safe so that they can be used to simultaneously parse multiple XML documents.

Author:
  maharwood

Method Summary
`Query` `getQuery(Element e)`

Method Detail

### getQuery

    Query getQuery(Element e)
                   throws ParserException

  Throws:
    `ParserException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.